#ifndef __PIPELINE_H
#define __PIPELINE_H
#include <glib.h>
#include <gdk/gdk.h>
#include <gst/gst.h>
#include <gst/interfaces/propertyprobe.h>

#include "log.h"
#include "support.h"
#include "dconf.h"
#include "utility.h"

GstElement *pipeline_create(gchar *audio_source, GList *dev_list, gchar *enc_pipeline, gchar *output_sink, gchar **err_msg);

#endif

